Package com.smartgwt.client.widgets.tree

# Class TreeGridField

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.data.DBCField
com.smartgwt.client.widgets.grid.ListGridField
com.smartgwt.client.widgets.tree.TreeGridField

All Implemented Interfaces:
  `HasHandlers`, `HasCellSavedHandlers`, `HasChangedHandlers`, `HasChangeHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasRecordClickHandlers`, `HasValueIconClickHandlers`

public class TreeGridField extends ListGridField
An object literal with a particular set of properties used to configure the display of and interaction with the columns of a `TreeGrid`. `TreeGrid` is a subclass of `ListGrid` and as a result, for all fields except the field containing the `Tree` itself (specified by `treeField`, all properties settable on `ListGridField` apply to TreeGridField as well.

This class documents just those properties that are specific to TreeGridFields - see `ListGridField` for the set of inherited properties.

See Also:
  - `ListGridField`
  - `ListGrid.getFields()`
  - `ListGrid.setFields(com.smartgwt.client.widgets.grid.ListGridField...)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeGridField()`
  `TreeGridField(JavaScriptObject jsObj)`
  `TreeGridField(String name)`
  `TreeGridField(String name, int width)`
  `TreeGridField(String name, String title)`
  `TreeGridField(String name, String title, int width)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getCanExport()`
  Dictates whether the data in this field be exported.
  `static TreeGridField`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getTreeField()`
  The field containing `treeField: true` will display the `Tree`.
  `TreeGridField`
  `setCanExport(Boolean canExport)`
  Dictates whether the data in this field be exported.
  `TreeGridField`
  `setTreeField(Boolean treeField)`
  The field containing `treeField: true` will display the `Tree`.

  ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGridField

  `addCellSavedHandler, addChangedHandler, addChangeHandler, addEditorEnterHandler, addEditorExitHandler, addRecordClickHandler, addSummaryFunction, addSummaryFunction, addValueIconClickHandler, formatCellValue, getAIFieldPrompt, getAiHoverContentsPrefix, getAIHoverRequest, getAlign, getAllowFilterExpressions, getAllowFilterOperators, getAlwaysShowOperatorIcon, getApplyAfterSummary, getArrowKeyEditAction, getAsyncErrorCellValue, getAsyncMissingCellValue, getAutoComplete, getAutoFetchDisplayMap, getAutoFit, getAutoFitWidth, getAutoFitWidthApproach, getAutoFreeze, getAutoFreezePosition, getBaseStyle, getCanAutoFitWidth, getCanDragResize, getCanEdit, getCanEditAISummary, getCanEditFormula, getCanEditSummary, getCanFilter, getCanFreeze, getCanGroupBy, getCanHide, getCanHilite, getCanReorder, getCanSort, getCanSortClientOnly, getCanToggle, getCellAlign, getCellIcon, getCellPrompt, getCellTemplate, getCellValueTemplate, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultGroupingMode, getDefaultIconSrc, getDefaultWidth, getDisplayField, getDisplayValueFromRecord, getDynRestricted, getEditorFormula, getEditorIconHeight, getEditorIconWidth, getEditorImageURLPrefix, getEditorImageURLSuffix, getEditorTextFormula, getEditorValueIconHeight, getEditorValueIconWidth, getEmptyCellValue, getEnableWhen, getEnterKeyEditAction, getEscapeHTML, getEscapeKeyEditAction, getExcludeFromState, getExportFieldWidth, getExportFormat, getExportRawNumbers, getExportRawValues, getFilterOnKeypress, getFilterOperator, getFormat, getFrozen, getGroupGranularity, getGroupingMode, getGroupingModes, getGroupPrecision, getHeaderBaseStyle, getHeaderButtonAriaRole, getHeaderButtonAriaState, getHeaderHoverDelay, getHeaderTitle, getHeaderTitleStyle, getHidden, getHideOnPhone, getHideOnTablet, getHiliteHTMLAfterFormat, getHiliteIconHeight, getHiliteIconLeftPadding, getHiliteIconPosition, getHiliteIconRightPadding, getHiliteIconSize, getHiliteIconWidth, getHoverDelay, getHoverWidth, getHoverWrap, getIcon, getIconCursor, getIconHeight, getIconOrientation, getIconSize, getIconSpacing, getIconVAlign, getIconWidth, getIgnoreKeyboardClicks, getImageHeight, getImageSize, getImageURLPrefix, getImageURLSuffix, getImageWidth, getIncludeFrom, getIncludeInRecordSummary, getIncludeInRecordSummaryFields, getInitialValue, getIsRemoveField, getLength, getLinkText, getLinkTextProperty, getLinkURLPrefix, getLinkURLSuffix, getListGrid, getMaxWidth, getMinWidth, getMultiple, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getPartialSummary, getPendingAsyncCellValue, getPreRenderFormatValues, getPrompt, getRecordSummaryFunction, getRequired, getRotateTitle, getSelectCellTextOnClick, getShouldPrint, getShowAlternateStyle, getShowDefaultContextMenu, getShowDisabledIcon, getShowDownIcon, getShowEllipsisWhenClipped, getShowFileInline, getShowFilterEditorHovers, getShowFocusedIcon, getShowGridSummary, getShowGroupSummary, getShowHilitesInGroupSummary, getShowHover, getShowHoverComponents, getShowRollOverIcon, getShowSelectedIcon, getShowSeparator, getShowTitle, getShowValueIconOnly, getSkipLineBreaks, getSortByDisplayField, getSortByMappedValue, getSortDirection, getSpannedHeaderBaseStyle, getSummaryTitle, getSummaryValue, getSummaryValueTitle, getSuppressValueIcon, getTarget, getTimeFormatter, getTitle, getType, getUserFormula, getUserSummary, getValidateOnChange, getValign, getValueField, getValueIconAriaRole, getValueIconHeight, getValueIconLeftPadding, getValueIconOrientation, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisibleWhen, getWidth, getWrap, setAIFieldPrompt, setAiHoverContentsPrefix, setAIHoverRequest, setAlign, setAllowFilterExpressions, setAllowFilterOperators, setAlwaysShowOperatorIcon, setApplyAfterSummary, setArrowKeyEditAction, setAsyncErrorCellValue, setAsyncMissingCellValue, setAutoComplete, setAutoFetchDisplayMap, setAutoFit, setAutoFitWidth, setAutoFitWidthApproach, setAutoFreeze, setBaseStyle, setCanAutoFitWidth, setCanDragResize, setCanEdit, setCanEditAISummary, setCanEditFormula, setCanEditSummary, setCanFilter, setCanFreeze, setCanGroupBy, setCanHide, setCanHilite, setCanReorder, setCanSort, setCanSortClientOnly, setCanToggle, setCellAlign, setCellFormatter, setCellIcon, setCellPrompt, setCellTemplate, setCellValueTemplate, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultFilterValue, setDefaultGroupingMode, setDefaultIconSrc, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultWidth, setDisplayField, setDisplayValueFromRecord, setDynRestricted, setEditorFormula, setEditorIconHeight, setEditorIconWidth, setEditorImageURLPrefix, setEditorImageURLSuffix, setEditorProperties, setEditorTextFormula, setEditorType, setEditorType, setEditorType, setEditorValueIconHeight, setEditorValueIcons, setEditorValueIconWidth, setEditorValueMap, setEditorValueMapFunction, setEditValueFormatter, setEditValueParser, setEmptyCellValue, setEnableWhen, setEnterKeyEditAction, setEscapeHTML, setEscapeKeyEditAction, setExcludeFromState, setExportFieldWidth, setExportFormat, setExportRawNumbers, setExportRawValues, setFilterEditorProperties, setFilterEditorType, setFilterEditorType, setFilterEditorType, setFilterEditorValueMap, setFilterOnKeypress, setFilterOperator, setFormat, setFrozen, setGridSummaryCustomizer, setGroupGranularity, setGroupingMode, setGroupingModes, setGroupPrecision, setGroupSummaryCustomizer, setGroupTitleRenderer, setGroupValueFunction, setHeaderBaseStyle, setHeaderButtonAriaRole, setHeaderButtonAriaState, setHeaderButtonProperties, setHeaderHoverDelay, setHeaderTitle, setHeaderTitleStyle, setHidden, setHideOnPhone, setHideOnTablet, setHiliteHTMLAfterFormat, setHiliteIconHeight, setHiliteIconLeftPadding, setHiliteIconPosition, setHiliteIconRightPadding, setHiliteIconSize, setHiliteIconWidth, setHoverCustomizer, setHoverDelay, setHoverWidth, setHoverWrap, setIcon, setIconCursor, setIconHeight, setIconOrientation, setIcons, setIconSize, setIconSpacing, setIconVAlign, setIconWidth, setIgnoreKeyboardClicks, setImageHeight, setImageSize, setImageURLPrefix, setImageURLSuffix, setImageWidth, setImgDir, setInactiveCellFormatter, setIncludeFrom, setIncludeInRecordSummary, setIncludeInRecordSummaryFields, setInitialValue, setIsRemoveField, setLeaveHeaderMenuButtonSpace, setLength, setLinkText, setLinkTextProperty, setLinkURLPrefix, setLinkURLSuffix, setMaxWidth, setMinWidth, setMultiple, setName, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setPartialSummary, setPendingAsyncCellValue, setPreRenderFormatValues, setPrompt, setRecordSummaryFunction, setRecordSummaryFunction, setRequired, setRotateTitle, setSelectCellTextOnClick, setShouldPrint, setShowAlternateStyle, setShowDefaultContextMenu, setShowDisabledIcon, setShowDownIcon, setShowEllipsisWhenClipped, setShowFileInline, setShowFilterEditorHovers, setShowFocusedIcon, setShowGridSummary, setShowGroupSummary, setShowHilitesInGroupSummary, setShowHover, setShowHoverComponents, setShowIfCondition, setShowRollOverIcon, setShowSelectedIcon, setShowSeparator, setShowTitle, setShowValueIconOnly, setSkipLineBreaks, setSortByDisplayField, setSortByMappedValue, setSortDirection, setSortNormalizer, setSpannedHeaderBaseStyle, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryTitle, setSummaryValue, setSummaryValueTitle, setSuppressValueIcon, setTarget, setTimeFormatter, setTitle, setType, setType, setUserFormula, setUserSummary, setValidateOnChange, setValidators, setValign, setValueField, setValueIconAriaRole, setValueIconHeight, setValueIconLeftPadding, setValueIconOrientation, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisibleWhen, setWidth, setWidth, setWrap`

  ### Methods inherited from class com.smartgwt.client.data.DBCField

  `getValueMap`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getExportTitle, getPrimaryKey, getSortByField, setExportTitle, setPrimaryKey, setSortByField`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### TreeGridField

    public TreeGridField()

  - ### TreeGridField

    public TreeGridField(JavaScriptObject jsObj)

  - ### TreeGridField

    public TreeGridField(String name)

  - ### TreeGridField

    public TreeGridField(String name, int width)

  - ### TreeGridField

    public TreeGridField(String name, String title)

  - ### TreeGridField

    public TreeGridField(String name, String title, int width)

- ## Method Details

  - ### getOrCreateRef

    public static TreeGridField getOrCreateRef(JavaScriptObject jsObj)

  - ### setCanExport

    public TreeGridField setCanExport(Boolean canExport)
    Dictates whether the data in this field be exported. Explicitly set this to false to prevent exporting. Has no effect if the underlying `dataSourceField` is explicitly set to canExport: false.
    Overrides:
      `setCanExport` in class `ListGridField`
    Parameters:
      `canExport` - New canExport value. Default value is null
    Returns:
      `TreeGridField` instance, for chaining setter calls

  - ### getCanExport

    public Boolean getCanExport()
    Dictates whether the data in this field be exported. Explicitly set this to false to prevent exporting. Has no effect if the underlying `dataSourceField` is explicitly set to canExport: false.
    Overrides:
      `getCanExport` in class `ListGridField`
    Returns:
      Current canExport value. Default value is null

  - ### setTreeField

    public TreeGridField setTreeField(Boolean treeField)
    The field containing `treeField: true` will display the `Tree`. If no field specifies this property, if a field named after the `Tree.titleProperty` of the Tree is present in `TreeGrid.fields`, that field will show the tree. Note that when using a DataSource, you typically define the title field via `DataSource.titleField` and the generated `ResultTree` automatically uses this field.

    If none of the above rules apply, the first field in `TreeGrid.fields` is assigned to display the `Tree`.

    Note that if `TreeGrid.treeFieldMinWidth` is specified, this will act as a default minimum width for tree fields (taking precedence over `treeGrid.minFieldWidth`).

    Parameters:
      `treeField` - New treeField value. Default value is see below
    Returns:
      `TreeGridField` instance, for chaining setter calls

  - ### getTreeField

    public Boolean getTreeField()
    The field containing `treeField: true` will display the `Tree`. If no field specifies this property, if a field named after the `Tree.titleProperty` of the Tree is present in `TreeGrid.fields`, that field will show the tree. Note that when using a DataSource, you typically define the title field via `DataSource.titleField` and the generated `ResultTree` automatically uses this field.

    If none of the above rules apply, the first field in `TreeGrid.fields` is assigned to display the `Tree`.

    Note that if `TreeGrid.treeFieldMinWidth` is specified, this will act as a default minimum width for tree fields (taking precedence over `treeGrid.minFieldWidth`).

    Returns:
      Current treeField value. Default value is see below